## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CollectionDeleteGuard Template Class Reference

`#include <STLHelper.hpp>`

List of all members.

## Public Methods

- CollectionDeleteGuard (CollectionType& theCollection)
- ~CollectionDeleteGuard ()
- void release ()

## Constructor & Destructor Documentation

template<classCollectionType, classDeleteFunctorType>
CollectionDeleteGuard<CollectionType, DeleteFunctorType>::CollectionDeleteGuard<CollectionType, DeleteFunctorType> ( | CollectionType & theCollection )

template<classCollectionType, classDeleteFunctorType>
CollectionDeleteGuard<CollectionType, DeleteFunctorType>::~CollectionDeleteGuard<CollectionType, DeleteFunctorType> ( | )`[]`

## Member Function Documentation

template<classCollectionType, classDeleteFunctorType>
void CollectionDeleteGuard<CollectionType, DeleteFunctorType>::release ( | )`[]`

The documentation for this class was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.